=== debian/control ===
Source: starpu-contrib
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libcnf-dev, gfortran,
	nvidia-cuda-toolkit,
	nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310,
Standards-Version: 3.9.2
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
Vcs-Browser: https://gforge.inria.fr/scm/viewvc.php/debian/unstable/?root=starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: amd64 i386
Depends: libstarpu-contrib0 (= ${binary:Version}), ${misc:Depends}, install-info
Conflicts: libstarpu-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.

Package: libstarpu-contrib0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library

Package: libstarpu-contribfft0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.

Package: libstarpu-contribmpi0
Section: contrib/libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.

Package: starpu-contrib-examples
Section: contrib/science
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
