## starpu-contrib 1.0.0~rc1

=== debian/changelog ===
starpu-contrib (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.
  * Add provides to contrib variants.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 12:04:47 +0100

starpu (0.9.1-4) UNRELEASED; urgency=low

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Nov 2011 09:14:49 +0100

starpu (0.9.1-3) unstable; urgency=low

  * debian/control:
    - Add libcnf-dev and gfortran build-dependency for the fortran example.
    - Depend on nvidia-cuda-toolkit and libcuda1 instead of nvidia-opencl-dev
      and nvidia-cuda-dev, since starpu also needs nvcc (Closes: Bug#638980)
    - Make contrib Architecture: amd64 i386 since it only makes sense there.
  * debian/rules: Fix main/contrib switch rules accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 May 2011 19:12:30 +0200
