=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	libfftw3-dev,
 	libhwloc-dev,
 	libcnf-dev, gfortran,
+	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
+	hardening-wrapper,
 	nvidia-cuda-toolkit,
-	nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310,
+	libcuda1,
 Standards-Version: 3.9.2
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
@@ -25,8 +27,9 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib0 (= ${binary:Version}), ${misc:Depends}, install-info
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
+Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -38,11 +41,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib0
+Package: libstarpu-contrib-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu0
+Conflicts: libstarpu-1.0
+Provides: libstarpu-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -54,11 +58,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpu-contribfft0
+Package: libstarpu-contribfft-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft0
+Conflicts: libstarpufft-1.0
+Provides: libstarpufft-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -70,11 +75,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi0
+Package: libstarpu-contribmpi-1.0
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi0
+Conflicts: libstarpumpi-1.0
+Provides: libstarpumpi-1.0
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -91,6 +97,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
+Provides: starpu-tools
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -102,11 +109,27 @@
  .
  This package contains StarPU tools.
 
+#Package: starpu-contrib-top
+#Section: utils
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Description: Task scheduler for heterogeneous multicore machines - top
+# StarPU is a runtime system that offers support for heterogeneous
+# multicore machines. While many efforts are devoted to design efficient
+# computation kernels for those architectures (e.g. to implement BLAS
+# kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+# offloading such kernels (and implementing data coherency across
+# the machine), but it also makes sure the kernels are executed as
+# efficiently as possible.
+# .
+# This package contains a graphical top tool.
+#
 Package: starpu-contrib-examples
 Section: contrib/science
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-examples
+Provides: starpu-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -117,3 +140,18 @@
  efficiently as possible.
  .
  This package contains application examples.
+
+Package: libsocl-contrib0
+Section: contrib/libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains an OpenCL-compatible library interface to StarPU.
