## starpu-contrib 1.0.0~rc3

=== debian/changelog ===
starpu-contrib (1.0.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * rules:
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.
  * control:
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * patches/starpu-top: New patch to fix out-of-source build.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 18:29:57 +0100

starpu (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.
  * Add provides to contrib variants.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 12:04:47 +0100
