=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 	hardening-wrapper,
+	gcc-4.6-plugin-dev,
+	help2man,
 	nvidia-cuda-toolkit,
 	libcuda1,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -27,7 +29,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${misc:Depends}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
