## starpu-contrib 1.0.1

=== debian/changelog ===
starpu-contrib (1.0.1-3ubuntu1) quantal; urgency=low

  * debian/control: fix FTBFS (LP: #950963).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Oct 2012 15:40:21 +0200

starpu-contrib (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for starpu-contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200

starpu (1.0.1-2) unstable; urgency=low

  * control: Really use relaxed gcc-4.6 version test, not just exactly the
    upstream version part, thanks Andreas Beckmann for initial patch
    (Closes: Bug#670422).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 May 2012 13:53:27 +0200

starpu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Explicitly use gcc-4.6 to fix plugin build (Closes: Bug#667381).
  * Use gcc-4.5 for starpu, as nvcc does not actually support all 4.6
    features, notably not __float128.
  * patches/relax-gcc-plugin: Relax gcc-4.6 dependency for plugins to upstream
    release version (Closes: #670422)
  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Apr 2012 15:04:15 +0200

starpu (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Add qt dependencies for StarPU-Top, Use system qwt.
    - Add new libsocl0 binary package.
    - Remove patches/{format,info,memory,no-fftwl}, merged upstream.
    - Update debian/copyright
    - Add starpu-top package.

  * control:
    - Depend on hardening-check.
    - Make libstarpu-dev depend on libhwloc-dev.
    - build-depend on gcc-4.6-plugin-dev and help2man.
    - Add missing shlib dependency for libstarpu-dev.
    - Add provides to contrib variants.
    - Bump Standards-Version to 3.9.3 (no changes).
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Set empty DISPLAY to avoid opening a window during Mandelbrot test.
    - Enable parallel build.
    - build out of source to prepare for gcc plugins built for several gcc
    versions.
    - rules: Run make showcheck after check.

  * rules, control: Make libstarpu-dev depend on the exact version of gcc that
    compiled the plugin, as the plugin infrastructure is very strict about it.
  * lib*.install: Use wildcard instead of 1.0.
  * libstarpu-dev.install: Add gcc plugin.
  * starpu-tools.install: Install manpages.
  * info: Install all info files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 14:42:41 +0200
