=== debian/control ===
--- 
+++ 
@@ -15,11 +15,13 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-	hardening-wrapper,
-	gcc-4.6-plugin-dev,
+#	hardening-wrapper,
+#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
+	gcc-4.4, g++-4.4,
 	help2man,
 	nvidia-cuda-toolkit,
-	libcuda1,
+	nvidia-current | nvidia-current-updates,
+Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
@@ -29,7 +31,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -143,9 +145,9 @@
  .
  This package contains application examples.
 
-Package: libsocl-contrib0
+Package: libsocl-contrib-1.0
 Section: contrib/libs
-Architecture: any
+Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
