## starpu-contrib 1.0.1+dfsg

=== debian/changelog ===
starpu-contrib (1.0.1+dfsg-1) wheezy; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Nov 2013 10:22:32 +0100

starpu (1.0.1-3) unstable; urgency=low

  * control, rules: Use gcc-4.4 instead of gcc-4.5 for starpu-contrib
    (Closes: Bug#680898).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 09:40:40 +0200
