=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	gcc-4.4, g++-4.4,
 	help2man,
 	nvidia-cuda-toolkit,
-	nvidia-current | nvidia-current-updates,
+	libcuda1,
 Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
 Standards-Version: 3.9.3
 Section: contrib/libs
