## starpu-contrib 1.0.5

=== debian/changelog ===
starpu-contrib (1.0.5-1ubuntu1) saucy; urgency=low

  * Build-depend on nvidia-current | libcuda-5.0-1 (LP: #1129409).
  * Locate current Nvidia driver directory using /etc/ld.so.conf.d.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 25 Jul 2013 14:13:36 +0200

starpu-contrib (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200

starpu (1.0.1-4) unstable; urgency=low

  * patches/binding: Backport upstream change to fix binding on CPU near GPUs,
    and for combined workers.
  * patches/bashism: Backport upstream change to fix bashism.
    (Closes: Bug#690935).
  * patches/automake-Werror: Fix automake warnings (Closes: Bug#713335).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jul 2013 15:32:05 +0200
