=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: starpu-contrib
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf,
 	pkg-config,
 	libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
@@ -16,13 +17,13 @@
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
 #	hardening-wrapper,
-#	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
-	gcc-4.4, g++-4.4,
+#	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
+	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
 	nvidia-cuda-toolkit,
-	libcuda1,
-Build-Conflicts: gcc-4.6, g++-4.6, hardening-wrapper
-Standards-Version: 3.9.3
+	nvidia-current | libcuda-5.0-1
+Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
+Standards-Version: 3.9.4
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -31,7 +32,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.0 (= ${binary:Version}), libstarpu-contribfft-1.0 (= ${binary:Version}), libstarpu-contribmpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -117,6 +118,8 @@
 #Section: utils
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
+#Replaces: starpu-tools (<< 1.0.5~)
+#Breaks: starpu-tools (<< 1.0.5~)
 #Description: Task scheduler for heterogeneous multicore machines - top
 # StarPU is a runtime system that offers support for heterogeneous
 # multicore machines. While many efforts are devoted to design efficient
