## starpu-contrib 1.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,17 @@
 	libhwloc-dev,
 	libcnf-dev, gfortran,
 	qt4-qmake, libqt4-dev, libqt4-opengl-dev, libqwt5-qt4-dev,
-#	hardening-wrapper,
+#	hardening-wrapper, valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
+	guile-2.0,
 #	gcc-4.7, g++-4.7, gcc-4.7-plugin-dev,
 	gcc-4.6, g++-4.6, gcc-4.6-plugin-dev,
 	help2man,
+	ocl-icd-opencl-dev,
+	ocl-icd-libopencl1,
 	nvidia-cuda-toolkit,
-	nvidia-current | libcuda-5.0-1
+	libcuda1 | libcuda-5.5-1,
 Build-Conflicts: gcc-4.7, g++-4.7, hardening-wrapper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: contrib/libs
 Homepage: http://starpu.gforge.inria.fr/
 Vcs-Svn: svn://scm.gforge.inria.fr/svn/starpu/debian/unstable
@@ -32,7 +35,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: amd64 i386
-Depends: libstarpu-contrib-1.0 (= ${binary:Version}), libstarpu-contribfft-1.0 (= ${binary:Version}), libstarpu-contribmpi-1.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, install-info, libhwloc-dev
+Depends: libstarpu-contrib-1.1-4 (= ${binary:Version}), libstarpu-contribfft-1.1-1 (= ${binary:Version}), libstarpu-contribmpi-1.1-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +49,12 @@
  .
  This package contains development headers and libraries.
 
-Package: libstarpu-contrib-1.0
+Package: libstarpu-contrib-1.1-4
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.0
-Provides: libstarpu-1.0
+Conflicts: libstarpu-1.1-4
+Provides: libstarpu-1.1-4
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -63,12 +66,12 @@
  .
  This package contains the main StarPU library
 
-Package: libstarpu-contribfft-1.0
+Package: libstarpu-contribfft-1.1-1
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.0
-Provides: libstarpufft-1.0
+Conflicts: libstarpufft-1.1-1
+Provides: libstarpufft-1.1-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -80,12 +83,12 @@
  .
  This package contains a hybrid CPU+GPU FFT library.
 
-Package: libstarpu-contribmpi-1.0
+Package: libstarpu-contribmpi-1.1-2
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.0
-Provides: libstarpumpi-1.0
+Conflicts: libstarpumpi-1.1-2
+Provides: libstarpumpi-1.1-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -118,8 +121,8 @@
 #Section: utils
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}
-#Replaces: starpu-tools (<< 1.0.5~)
-#Breaks: starpu-tools (<< 1.0.5~)
+#Replaces: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
+#Breaks: starpu-tools (<< 1.0.5~), starpu-contrib-tools (<< 1.0.5~)
 #Description: Task scheduler for heterogeneous multicore machines - top
 # StarPU is a runtime system that offers support for heterogeneous
 # multicore machines. While many efforts are devoted to design efficient
@@ -148,7 +151,7 @@
  .
  This package contains application examples.
 
-Package: libsocl-contrib-1.0
+Package: libsocl-contrib-1.1-1
 Section: contrib/libs
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
