## starpu-contrib 1.1.0+dfsg

=== debian/changelog ===
starpu-contrib (1.1.0+dfsg-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. (LP: #1289463)
  * d/control:
    - Add alternate build-depends on libcuda-5.5-1
    - Add ocl-icd-opencl-dev and ocl-icd-libopencl1 build-dependencies
    - correctly enable compilation of OpenCL dependent features.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 19 Mar 2014 08:28:42 +0200

starpu-contrib (1.1.0+dfsg-2) unstable; urgency=medium

  * patches/build_fixes: Fix sync_synchronize use on non-x86 archs.
  * control: Depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2013 12:52:48 +0100

starpu (1.1.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not depend on install-info any more.
  * Bump Standards-Version to 3.9.5.
  * patches: refresh.
  * control: Add valgrind and guile build-dependency.
  * docs: Add pdf documentation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Oct 2013 09:04:50 +0100

starpu (1.0.5+dfsg-1) unstable; urgency=low

  * Rebuild orig tarball without NVIDIA proprietary source code
    (Closes: Bug#724919).
  * watch: Mangle tarball name against +dfsg.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2013 18:14:07 +0200

starpu (1.0.5-3) unstable; urgency=high

  * patches/automake-nowerror: Do not pass -Werror to automake
    (Closes: Bug#724128).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2013 21:55:39 +0200

starpu (1.0.5-2) unstable; urgency=low

  * Make starpu-top also replace/break starpu-contrib-tools
    (Closes: Bug#717996).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jul 2013 20:44:13 +0200

starpu-contrib (1.0.5-1ubuntu3) trusty; urgency=medium

  * Add ocl-icd-opencl-dev and ocl-icd-libopencl1 build-dependencies to
    correctly enable compilation of OpenCL dependent features.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 10:07:40 +0000

starpu-contrib (1.0.5-1ubuntu2) trusty; urgency=medium

  * Ignore automake errors.
  * Rebuilds against openmpi1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Dec 2013 16:56:19 +0000

starpu (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move starpu_top.1.gz to starpu-top package.
  * control, rules: upgrade to gcc-4.7.
  * control: Make libstarpu-dev also depend on libstarpufft and libstarpumpi
    (Closes: Bug#715121).
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/mpi_link: disable using mpicc --showme:link link flags: they bring
    unnecessary rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Jul 2013 09:42:41 +0200
